Subject: RE: [Simple] 200 vs. 202

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 26 Nov 2001 14:42:20 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, November 26, 2001 12:14 PM
> To: 'Jonathan Rosenberg'; 'Brian Stucker'; adam.roach; simple
> Subject: RE: [Simple] 200 vs. 202
> 
> 
> That works, but it seems like a lot of extra implementation effort.
> 
> There's really nothing magical about the dialog established by the
> 200-class response to the SUBSCRIBE; it's just an arbitrary leg
> which happens to have responded first.
> 
> Given that fact, why don't we just change the scheme so that the
> dialog associated with the SUBSCRIBE response isn't special, and
> we just accept the first NOTIFY that arrives (and reject all the
> other dialogs)?
> 
> Is there something I'm overlooking? Accepting the first NOTIFY
> seems much easier to implement than keeping track of dialogs that
> will just need to be torn down.

I think thats a good idea. Its clearly simpler than my initial proposal.

The whole authentication business makes me a little nervous; I suppose the
NOTIFY would simply be authenticated independently so it should be OK, but
it requires some more thought. 

I still think this is really a sip-events issue, not a simple issue. From
sip-events:

Each event package should specify whether forked SUBSCRIBE
     requests are allowed to install multiple subscriptions. If such
     behavior is not allowed, any NOTIFY messages not matching the
     200-class response to the initial SUBSCRIBE message are responded
     to with a 481.

But this doesn't work. Rather, it should say:

Each event package should specify whether forked SUBSCRIBE
     requests are allowed to install multiple subscriptions. If such
     behavior is not allowed, the first NOTIFY is responded to with a 200
OK,
     and all others are rejected with a 481. 

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com